Catchall Validation
Add Emails
Add emails to an existing catchall list
POST
/
catchall
/
{listId}
/
add
Add emails to catchall list
curl --request POST \
--url https://api.omniverifier.com/v1/validate/catchall/{listId}/add \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"emails": [
"user@example.com",
"test@domain.com"
]
}
'import requests
url = "https://api.omniverifier.com/v1/validate/catchall/{listId}/add"
payload = { "emails": ["user@example.com", "test@domain.com"] }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({emails: ['user@example.com', 'test@domain.com']})
};
fetch('https://api.omniverifier.com/v1/validate/catchall/{listId}/add', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 12346,
"count": 100
}{
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}{
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Authorizations
API key for authentication
Path Parameters
List ID
Body
application/json
Array of email addresses to add
Required array length:
1 - 10000 elementsExample:
["user@example.com", "test@domain.com"]
⌘I
Add emails to catchall list
